Name:           perl-App-Cme
Version:        1.011
Release:        1%{?dist}
Summary:        Check or edit configuration data with Config::Model
License:        LGPLv2+
URL:            http://search.cpan.org/dist/App-Cme/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/App-Cme-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build) >= 0.34
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(App::Cmd::Setup)
BuildRequires:  perl(base)
BuildRequires:  perl(Config::Model) >= 2.077
# Config::Model::CursesUI - not used at test
# Config::Model::FuseUI - Fuse is not packaged yet
BuildRequires:  perl(Config::Model::Lister)
BuildRequires:  perl(Config::Model::ObjTreeScanner)
# Config::Model::SimpleUI - not used at test
# Config::Model::TermUI - not used at test
# Config::Model::TkUI - not used at test
# Config::Model::Utils::GenClassPod - not used at test
# Data::Dumper - not used at test
# JSON - not used at test
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(Pod::POM::View::Text)
BuildRequires:  perl(Scalar::Util)
# Tk - not used at test
# Tk::ErrorDialog - not used at test
# YAML - not used at test
# Tests
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::Command) >= 0.08
BuildRequires:  perl(Test::File::Contents)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Config::Model::CursesUI)
Requires:       perl(Config::Model::FuseUI)
Requires:       perl(Config::Model::SimpleUI)
Requires:       perl(Config::Model::TermUI)
Requires:       perl(Config::Model::TkUI)
Requires:       perl(Tk)
Requires:       perl(Tk::ErrorDialog)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Config::Model\\)\s*$

%description
cme and Config::Model are quite modular. The configuration data that you
can edit depend on the other Config::Model distributions installed on your
system.

%prep
%setup -q -n App-Cme-%{version}
sed -i -e '1s|#!/usr/bin/env perl|#!perl|' bin/cme

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

# Install bash_completion script
install -D -m 0644 contrib/bash_completion.cme %{buildroot}%{_sysconfdir}/bash_completion.d/cme

%check
./Build test

%files
%license LICENSE
%doc Changes README.pod
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_sysconfdir}/bash_completion.d

%changelog
* Fri Apr 22 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.011-1
- 1.011 bump

* Wed Feb 10 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.010-1
- 1.010 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.009-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.009-2
- Updated due review comments

* Mon Jan 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.009-1
- Initial release
